Bug 480051 - qpid-config doesn't display LVQ_NO_BROWSE option
qpid-config doesn't display LVQ_NO_BROWSE option
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: python-qpid (Show other bugs)
1.0
All Linux
urgent Severity medium
: 1.1.1
: ---
Assigned To: Ted Ross
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 13:37 EST by Gordon Sim
Modified: 2015-11-15 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 12:17:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test program to create queues with the LVQ_NO_BROWSE option set (803 bytes, text/x-c++src)
2009-01-14 14:13 EST, Gordon Sim
no flags Details

  None (edit)
Description Gordon Sim 2009-01-14 13:37:53 EST
If a queue is created by a declaration through the c++ API using the LVQ_NO_BROWSE option, and then listed using qpid-config queues <queue-name>, the fact that LVQ_NO_BROWSE is set is not visible.
Comment 1 Gordon Sim 2009-01-14 13:39:39 EST
Ideally we need a more flexible approach to optins in that tool. Adding each option manually is error prone and inflexible.
Comment 2 Gordon Sim 2009-01-14 14:13:09 EST
Created attachment 329039 [details]
test program to create queues with the LVQ_NO_BROWSE option set

declare queue(s) with attached utility, then check qith qpid-config.

E.g. 
./declare_queues my-queue
qpid-config queues my-queue
Comment 3 Ted Ross 2009-01-15 07:45:55 EST
Fixed upstream in revision 734689.

Queues with LVQ_NO_BROWSE can now be created using:

# qpid-config add queue my-queue --order lvq-no-browse
Comment 4 Frantisek Reznicek 2009-01-30 05:51:42 EST
The issue has been fixed as proved on RHEL4.7/5.2/5.3 i386/x86_64 on packages qpidd-0.4.738274-1, rhm-0.4.3075-3, python-qpid-0.4.738182-1.
Both C++ client and python client queue declaration with LVQ_NO_BROWSE option now visible in qpid-config.

->VERIFIED
Comment 6 errata-xmlrpc 2009-04-21 12:17:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0434.html

Note You need to log in before you can comment on or make changes to this bug.